Protected Items - Delete
Wordt gebruikt om back-ups van een item in een container uit te schakelen. Dit is een asynchrone bewerking. Als u de status van de aanvraag wilt weten, roept u de GetItemOperationResult-API aan.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}/backupFabrics/{fabricName}/protectionContainers/{containerName}/protectedItems/{protectedItemName}?api-version=2026-01-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
container
|
path | True |
string |
Naam van de container waarvan de gegevens moeten worden opgehaald. |
|
fabric
|
path | True |
string |
De naam van de BackupFabricResource |
|
protected
|
path | True |
string |
Er is een back-up gemaakt van de itemnaam waarvan de gegevens moeten worden opgehaald. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string minLength: 1 |
De id van het doelabonnement. |
|
vault
|
path | True |
string |
De naam van de VaultResource |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De resource is verwijderd. |
|
| 202 Accepted |
De aanvraag is geaccepteerd voor verwerking, maar de verwerking is nog niet voltooid. |
|
| 204 No Content |
Resource bestaat niet. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Delete Protection from Azure Virtual Machine
Voorbeeldaanvraag
DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/PythonSDKBackupTestRg/providers/Microsoft.RecoveryServices/vaults/PySDKBackupTestRsVault/backupFabrics/Azure/protectionContainers/iaasvmcontainer;iaasvmcontainerv2;pysdktestrg;pysdktestv2vm1/protectedItems/vm;iaasvmcontainerv2;pysdktestrg;pysdktestv2vm1?api-version=2026-01-01
Voorbeeldrespons
Azure-AsyncOperation: https://management.azure.com/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/PythonSDKBackupTestRg/providers/Microsoft.RecoveryServices/vaults/PySDKBackupTestRsVault/backupOperations/00000000-0000-0000-0000-000000000000?api-version=2016-12-01
Location: https://management.azure.com/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/PythonSDKBackupTestRg/providers/Microsoft.RecoveryServices/vaults/PySDKBackupTestRsVault/backupOperationResults/00000000-0000-0000-0000-000000000000?api-version=2016-12-01
Retry-After: 60
Definities
| Name | Description |
|---|---|
|
Error |
Error Detail-klasse die code, bericht en aanbevelingen omvat. |
|
Error |
Foutreactie |
ErrorDetail
Error Detail-klasse die code, bericht en aanbevelingen omvat.
| Name | Type | Description |
|---|---|---|
| code |
string |
Foutcode. |
| message |
string |
Foutmelding met betrekking tot de code. |
| recommendations |
string[] |
Lijst met aanbevelingsreeksen. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |